#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#

%define rel 1

Name:           kscreen
Summary:        KDE Display Management software
Version:        1.0.2.1
Release:        %mkrel %{rel}
Group:          System/Configuration
License:        GPLv2
URL:            https://projects.kde.org/projects/extragear/base/kscreen
Source0:        http://download.kde.org/stable/%{name}/%{name}-%{version}.tar.xz

Requires:       %arch_tagged KSC_XRandR.so
Suggests:       plasma-applet-kscreen
Provides:       kde-display-management
Obsoletes:      kded_randrmonitor < 2:4.10.95
Conflicts:      krandr

BuildRequires:  kdelibs4-devel
#BuildRequires:  libkscreen-devel >= %{version}
BuildRequires:  libkscreen-devel >= 1.0.2
BuildRequires:  qjson-devel >= 0.8.1

%description
KCM and KDED modules for managing displays in KDE.

%files -f %name.lang
%{_kde_bindir}/kscreen-console
%{_kde_libdir}/kde4/kcm_kscreen.so
%{_kde_libdir}/kde4/kded_kscreen.so
%{_kde_datadir}/apps/kcm_kscreen
%{_kde_datadir}/kde4/services/kcm_kscreen.desktop
%{_kde_datadir}/kde4/services/kded/kscreen.desktop

#------------------------------------------------------------------------------

%package -n plasma-applet-kscreen
Summary: Plasma applet kscreen
Group: Graphical desktop/KDE
Requires: kdebase4-runtime
Provides: plasma-applet
Requires: kscreen

%description -n plasma-applet-kscreen
Plasma kscreen applet.

%files -n plasma-applet-kscreen -f plasma_applet_org.kde.plasma.kscreen.lang
%_kde_libdir/kde4/plasma_applet_kscreen.so
%_kde_appsdir/plasma/packages/org.kde.plasma.kscreen.qml
%_kde_iconsdir/hicolor/*/actions/kdocumentinfo.*
%_kde_services/plasma-applet-kscreen-qml.desktop
%_kde_services/plasma-applet-kscreen.desktop

#------------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
export LD=/usr/bin/ld.gold
%cmake_kde4
%make

%install
%makeinstall_std -C build

%find_lang %name %name kcm_displayconfiguration
%find_lang plasma_applet_org.kde.plasma.kscreen


%changelog
* Sat Nov 23 2013 lmenut <lmenut> 1.0.2.1-1.mga4
+ Revision: 552389
- Update to 1.0.2.1
  update project URL

* Sat Oct 19 2013 umeabot <umeabot> 1.0.1-2.mga4
+ Revision: 531512
- Mageia 4 Mass Rebuild

* Mon Aug 05 2013 fwang <fwang> 1.0.1-1.mga4
+ Revision: 463768
- new version 4.0.1

* Thu Jul 18 2013 lmenut <lmenut> 1.0-2.mga4
+ Revision: 455399
- Use kscreen by default
  + obsoletes kded_randrmonitor
  + suggests plasma-applet-kscreen (replace krandrtray)

* Mon Jun 17 2013 fwang <fwang> 1.0-1.mga4
+ Revision: 444046
- update file list
- new version 1.0

* Sun Jun 02 2013 neoclust <neoclust> 0.0.92-1.mga4
+ Revision: 434457
- Add plasma-applet-kscreen subpackage
- New version 0.0.92

* Sun Feb 10 2013 neoclust <neoclust> 0.0.71-4.mga3
+ Revision: 397795
- Requires kscreen ( mga # 9021 )

* Sun Feb 10 2013 lmenut <lmenut> 0.0.71-3.mga3
+ Revision: 397716
- add requires libkscreen
- add conflicts kded_randrmonitor
  kded_kscreen and kded_randrmonitor shouldn't run together

  + neoclust <neoclust>
    - Fix project URl

* Sun Jan 27 2013 neoclust <neoclust> 0.0.71-1.mga3
+ Revision: 392786
- imported package kscreen

